> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.lettucestream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke API Key

> Revokes an API key and returns the updated key list.



## OpenAPI

````yaml DELETE /api/api-keys
openapi: 3.1.0
info:
  title: Lettuce Stream API
  description: OpenAPI subset used by the API reference endpoint examples.
  version: 1.0.0
servers:
  - url: https://www.lettucestream.com
security: []
paths:
  /api/api-keys:
    delete:
      summary: Revoke API key
      description: Revokes an API key and returns the updated key list.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevokeApiKeyRequest'
      responses:
        '200':
          description: Updated API key list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiKey'
      security:
        - bearerAuth: []
components:
  schemas:
    RevokeApiKeyRequest:
      type: object
      required:
        - keyId
      properties:
        keyId:
          type: string
    ApiKey:
      type: object
      required:
        - id
        - label
        - prefix
      properties:
        id:
          type: string
        label:
          type: string
        prefix:
          type: string
        createdAt:
          type: string
        lastUsedAt:
          type: string
        revokedAt:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````